<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>租用清單</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>

  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-5">
      <div class="d-flex">
        <h1>租用清單</h1>
        <div class="form-check form-switch d-flex align-items-center mx-2">
          <input class="form-check-input" type="checkbox" id="withHistory">
          <label class="form-check-label mb-0 px-1" for="flexSwitchCheckDefault">顯示歷史租用紀錄</label>
        </div>
      </div>
      <form id="search" class="d-flex flex-wrap justify-content-end">
        <div class="mb-3 d-inline-flex">
          <label for="id" class="form-label mb-0">編號</label>
          <input type="text" class="form-control form-control-sm w-auto mx-2" id="id" name="id">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="accountId" class="form-label mb-0">帳號編號</label>
          <input type="text" class="form-control form-control-sm w-auto mx-2" id="accountId" name="accountId">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="kitchenId" class="form-label mb-0">廚房編號</label>
          <input type="text" class="form-control form-control-sm w-auto mx-2" id="kitchenId" name="kitchenId">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="startAt" class="form-label mb-0">租用時間</label>
          <input type="datetime-local" class="form-control form-control-sm w-auto ms-2" id="startAt" name="startAt">
          <span class="input-group-text">~</span>
          <input type="datetime-local" id="endAt" class="form-control form-control-sm w-auto me-2">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="firstName" class="form-label mb-0">價錢</label>
          <input type="text" id="priceFloor" class="form-control form-control-sm w-auto ms-2">
          <span class="input-group-text">~</span>
          <input type="text" id="priceCelling" class="form-control form-control-sm w-auto me-2">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="paid" class="form-label mb-0">已付款</label>
          <select name="paid" id="paid" class="form-control form-control-sm w-auto mx-2">
            <option value="">不指定</option>
            <option value="T">T</option>
            <option value="F">F</option>
          </select>
        </div>
        <div class="mb-3 d-inline-flex">
          <button type="button" id="submit" class="btn btn-sm btn-primary">查詢</button>
        </div>
      </form>
      <table class="table bg-white shadow-sm">
        <thead>
          <tr>
            <td>編號</td>
            <td>帳號編號</td>
            <td>廚房編號</td>
            <td>開始時間</td>
            <td>結束時間</td>
            <td>價錢</td>
            <td>已付款</td>
            <td>管理</td>
          </tr>
        </thead>
        <tbody>
          <!-- 表格內容樣板 -->
          <tr id="tbody-template" class="d-none">
            <td id="id" class="align-middle"></td>
            <td id="accountId" class="align-middle"></td>
            <td id="kitchenId" class="align-middle"></td>
            <td id="startAt" class="align-middle"></td>
            <td id="endAt" class="align-middle"></td>
            <td id="price" class="align-middle"></td>
            <td id="paid" class="align-middle"></td>
            <td id="manage" class="align-middle">
              <a type="button" id="information" class="btn btn-sm btn-outline-primary px-3">詳細資料</a>
              <a type="button" id="edit" class="btn btn-sm btn-outline-primary px-3">編輯</a>
              <button id="delete" class="btn btn-sm btn-outline-danger px-3">刪除</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/rent/list.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>